<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('monarch', function (Blueprint $table) {
            $table->unsignedInteger('empire')->primary();
            $table->unsignedInteger('pid');
            $table->dateTime('windate');
            $table->unsignedBigInteger('money');

            $table->foreign('pid')->references('id')->on('player');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('monarch');
    }
};
